> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/products/get#auth).

Retrieves details of a product for display to an enterprise admin.

## Request

### HTTP request

```
GET https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/products/productId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| `productId` | `string` | The ID of the product, e.g. "app:com.google.android.gm". |
| **Optional query parameters** |||
| `language` | `string` | The BCP47 tag for the user's preferred language (e.g. "en-US", "de"). |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Products resource](https://developers.google.com/android/work/play/emm-api/v1/products#resource) in the response body.